## ann 1.1.1+doc

=== Makefile ===
#-----------------------------------------------------------------------------
# Top-level Makefile for ANN.
#
# ANN: Approximate Nearest Neighbors
# Version: 1.1 05/03/05
#-----------------------------------------------------------------------------
# Copyright (c) 1997-2005 University of Maryland and Sunil Arya and
# David Mount.  All Rights Reserved.
# 
# This software and related documentation is part of the Approximate
# Nearest Neighbor Library (ANN).  This software is provided under
# the provisions of the Lesser GNU Public License (LGPL).  See the
# file ../ReadMe.txt for further information.
# 
# The University of Maryland (U.M.) and the authors make no
# representations about the suitability or fitness of this software for
# any purpose.  It is provided "as is" without express or implied
# warranty.
#-----------------------------------------------------------------------------
# Revision 0.1  09/06/97
#	alpha release
# Revision 0.2  06/26/98
#	Minor changes to fix compilation errors on SGI systems.
# Revision 1.0  04/01/05
#	Initial release (finally!)
#	Added linux-g++ target
# Revision 1.1  05/03/05
#	Added macosx-g++ target
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
# default: list the options
# The following legacy targets are also available.
#	make sunos4		for Sun with SunOS 4.x
#	make sunos4-g++		for Sun with SunOS 4.x and g++
#	make alpha-g++		for DEC Alpha and g++
# The following targets are used for internal development only
#	make authors-debug	author's debugging
#	make authors-perf	author's performance evaluations
#	make distribution	author's generation of distribution file
#-----------------------------------------------------------------------------
default:
	@echo "Enter one of the following:"
	@echo "  make linux-g++            for Linux and g++"
	@echo "  make macosx-g++           for Mac OS X and g++"
	@echo "  make sunos5               for Sun with SunOS 5.x"
	@echo "  make sunos5-sl            for Sun with SunOS 5.x, make shared libs"
	@echo "  make sunos5-g++           for Sun with SunOS 5.x and g++"
	@echo "  make sunos5-g++-sl        for Sun with SunOS 5.x, g++, make shared libs"
	@echo "  make clean                remove .o files"
	@echo "  make realclean            remove .o, library and executable files"
	@echo " "
	@echo "See file Makefile for other compilation options, such as disabling"
	@echo "performance measurement code."

#-----------------------------------------------------------------------------
# main make entry point
#-----------------------------------------------------------------------------
alpha-g++ macosx-g++ linux-g++ sgi sunos4 sunos4-g++ sunos5 sunos5-g++ sunos5-g++-sl authors-debug authors-perf:
	cd src ; $(MAKE) $@
	cd test ; $(MAKE) $@
	cd sample ; $(MAKE) $@
	cd ann2fig ; $(MAKE) $@

#-----------------------------------------------------------------------------
# Remove .o files and core files
#-----------------------------------------------------------------------------
clean:
	cd src ; $(MAKE) clean
	cd test ; $(MAKE) clean
	cd sample ; $(MAKE) clean
	cd ann2fig ; $(MAKE) clean
	cd doc ; $(MAKE) clean
	cd MS_Win32; $(MAKE) clean
	cd validate ; $(MAKE) clean

#-----------------------------------------------------------------------------
# Remove everthing that can be remade
#-----------------------------------------------------------------------------
realclean: 
	-rm -f lib/*
	-rm -f bin/*
	cd src ; $(MAKE) realclean
	cd test ; $(MAKE) realclean
	cd sample ; $(MAKE) realclean
	cd ann2fig ; $(MAKE) realclean
	cd doc ; $(MAKE) realclean
	cd MS_Win32; $(MAKE) realclean
	cd validate ; $(MAKE) realclean

#-----------------------------------------------------------------------------
# Make distribution package (for use by authors only)
#-----------------------------------------------------------------------------
DISTR = ann_1.1.1

distribution: realclean 
	cd .. ; mv -f $(DISTR) $(DISTR)-old; mkdir $(DISTR)
	cp Copyright.txt ../$(DISTR)
	cp License.txt ../$(DISTR)
	cp Make-config ../$(DISTR)
	cp Makefile ../$(DISTR)
	cp ReadMe.txt ../$(DISTR)
	cp -r MS_Win32 ../$(DISTR)
#	cd ..; mv -f $(DISTR)_MS_Win32_bin $(DISTR)_MS_Win32_bin-old
	cp -r MS_Win32_bin ../$(DISTR)_MS_Win32_bin
	cp -r bin ../$(DISTR)
	cp -r include ../$(DISTR)
	cp -r lib ../$(DISTR)
	cp -r src ../$(DISTR)
	cp -r test ../$(DISTR)
	cp -r sample ../$(DISTR)
	cp -r ann2fig ../$(DISTR)
	cd ../$(DISTR); mkdir doc
	cp doc/*.pdf ../$(DISTR)/doc
#	cd .. ; tar -cfv $(DISTR).tar $(DISTR) ; gzip $(DISTR).tar

## ann 1.1.2%2Bdoc

=== debian/changelog ===
ann (1.1.2+doc-9+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 10 Jul 2023 04:41:46 +0800

ann (1.1.2+doc-9) unstable; urgency=medium

  * add an annself_exclude namespace for cctbx

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 13 Oct 2022 16:29:12 +0200

ann (1.1.2+doc-8) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * d/patches:
    + unapply all patches and restore a clean untouched sources directory
    + Added patch for the cctbx variant
  * d/cctbx: Script which generate the cctbx variant from the ann sources.
  * d/control: Added B-D python3 used by d/cctbx
  * d/control: Added libann-cctbx-dev and libann-cctbx0 packages.
    these packages are variant used internaly by cctbx
  * d/control: Added myself has Uploaders

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 08 Sep 2022 16:56:02 +0200

ann (1.1.2+doc-7) unstable; urgency=medium

  * Import and merge upstream sources + patches to the package git repo.
  * Convert to dh, use multiarch paths.
  * control: Upgrade debian/compat to 11, Standards-Version to 4.1.3.
  * control: Adjust build-deps (closes: #865148).
  * control: Point Vcs-fields to salsa.
  * Fix inf-loop on clean and realclean targets on upstream Makefile.
  * New patch: makefile-infloop-fix.diff.
  * Do not remove figures on doc/Makefile clean target.
  * New patch: doc-makefile-clean.diff.
  * watch: Use https URL for upstream.
  * copyright: Fix LGPL name, https URL, update years.
  * control: cme fix.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 05 Apr 2018 14:32:43 +0200

ann (1.1.2+doc-6) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Support DEB_BUILD_OPTIONS=nocheck.  Closes: #846833

  [ Lucas Kanashiro ]
  * Fix autopkgtests.  Closes: #768107

  [ Mattia Rizzolo ]
  * d/control: use HTTPS in Vcs-* fields.
  * d/control: drop now useless XS-Testsuite:autopkgtest field.
  * Drop explicit usage of quilt, this is a 3.0 (quilt) source.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 03 Dec 2016 18:41:20 +0100

ann (1.1.2+doc-5) unstable; urgency=medium

  * Team upload.

  [ Xilin Sun ]
  * [2bc9862] Fix ftbfs with GCC-4.9. (Closes: #746827)

  [ Arthur Marble ]
  * [89aea62] Fix FTBFS with clang. (Closes: #748817)

  [ Anton Gladky ]
  * [3b71f14] Add autopkgtest.
  * [bdf7dcf] Set Standards-Version: 3.9.5, no changes.
  * [e874105] Remove symbols-file

 -- Anton Gladky <gladk@debian.org>  Sat, 31 May 2014 16:11:45 +0200

ann (1.1.2+doc-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741717)

 -- Eric Dorland <eric@debian.org>  Sat, 22 Mar 2014 14:07:24 -0400

ann (1.1.2+doc-4) unstable; urgency=low

  [ Teemu Ikonen ]
  * libann0.symbols: Mark ANNorthRect destructor symbols as optional
    (closes: #701242).
  * copyright: Rewrite in machine readable format.
  * control:
    - Update to standards-version 3.9.4
    - Add myself (tpikonen) to uploaders

  [ Anton Gladky ]
  * Use canonical VCS-field.

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 02 Oct 2013 18:06:17 +0200

ann (1.1.2+doc-3) unstable; urgency=low

  * Team upload.
  * Fix the FTBFS (symbol missing). Thanks to Peter Green for the patch.
    (Closes: #651571)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 19:56:20 +0100

ann (1.1.2+doc-2) unstable; urgency=low

  * Disable some symbols under armel (Closes: #645743)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Oct 2011 00:02:19 +0200

ann (1.1.2+doc-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Standards-Version updated to version 3.9.2
  * Make one symbol optional, missing on ARM when built with GCC-4.6. (Thanks
    to Matthias Klose) (Closes: #643605)
  * Package moved to Debian Science
  * Switch to dpkg-source 3.0 (quilt) format
  * Fix a typo in the description (Closes: #608649)
  * Uploader list updated (Closes: #571894)
  * Update of the doc about -lANN (Closes: #607949)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Oct 2011 00:23:59 +0200

ann (1.1.1+doc-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/watch: Call debian/get-orig-source.sh through /bin/sh.  The
    diff cannot represent the executable permission.

  [ Rafael Laboissiere ]
  * debian/control:
    + Change maintainer to the Debian Scientific Computing Team and put my
      name in the Uploaders list.
    + The Debian packaging files are now maintained through a Git
      repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
      accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Mar 2009 17:17:23 +0100

ann (1.1.1+doc-1) unstable; urgency=low

  * Initial release (closes: #505487)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 23:21:56 +0100

## ann 1.1.2+doc

=== Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 #-----------------------------------------------------------------------------
 # Make distribution package (for use by authors only)
 #-----------------------------------------------------------------------------
-DISTR = ann_1.1.1
+DISTR = ann_1.1.2
 
 distribution: realclean 
 	cd .. ; mv -f $(DISTR) $(DISTR)-old; mkdir $(DISTR)

=== doc/Makefile ===
#-----------------------------------------------------------------------------
# Makefile for ANN User's Manual
#
# ANN: Approximate Nearest Neighbors
# Version: 1.1.1 08/04/06
#-----------------------------------------------------------------------------
# Copyright (c) 1997-2005 University of Maryland and Sunil Arya and
# David Mount.  All Rights Reserved.
# 
# This software and related documentation is part of the Approximate
# Nearest Neighbor Library (ANN).  This software is provided under
# the provisions of the Lesser GNU Public License (LGPL).  See the
# file ../ReadMe.txt for further information.
# 
# The University of Maryland (U.M.) and the authors make no
# representations about the suitability or fitness of this software for
# any purpose.  It is provided "as is" without express or implied
# warranty.
#-----------------------------------------------------------------------------
# Revision 0.1  03/04/98
#	Initial release
# Revision 1.1.1  08/04/06
#	Added copyright/license
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
# Basic definitions
#		BASEDIR		where include, src, lib, ... are
#-----------------------------------------------------------------------------

BASEDIR	= ..

#-----------------------------------------------------------------------------
# Some more definitions
#		ANNMAN		name of user's manual
#		FIGURES		list of included figures
#-----------------------------------------------------------------------------

ANNMAN = ANNmanual
FIGURES = Figs/ann.eps Figs/kd-tree.eps

#-----------------------------------------------------------------------------
# Make the program
#-----------------------------------------------------------------------------

default: ps

ps: $(ANNMAN).ps

pdf: $(ANNMAN).pdf

$(ANNMAN).pdf: $(ANNMAN).dvi
	dvipdf $(ANNMAN).dvi

%.eps: %.fig
	fig2dev -L eps $< $@

$(ANNMAN).ps: $(ANNMAN).dvi
	dvips $(ANNMAN).dvi

$(ANNMAN).dvi: $(ANNMAN).tex $(ANNMAN).bbl $(FIGURES)
	latex $(ANNMAN).tex
	latex $(ANNMAN).tex

$(ANNMAN).bbl: $(ANNMAN).tex $(FIGURES)
	latex $(ANNMAN).tex
	bibtex $(ANNMAN)

#-----------------------------------------------------------------------------
# configuration definitions
#-----------------------------------------------------------------------------

include ../Make-config

#-----------------------------------------------------------------------------
# Cleaning
#-----------------------------------------------------------------------------

clean:
	-rm -f core *.aux *.dvi *.log *.blg *.bbl *.toc $(FIGURES);

realclean: clean
	-rm -f $(ANNMAN).ps
	# (The following is intentionally omitted, beacuse it is part of
	# the distribution.)
	# -rm -f $(ANNMAN).pdf

=== src/Makefile ===
#-----------------------------------------------------------------------------
# Makefile for ANN library
#----------------------------------------------------------------------
# Copyright (c) 1997-2005 University of Maryland and Sunil Arya and
# David Mount.  All Rights Reserved.
# 
# This software and related documentation is part of the Approximate
# Nearest Neighbor Library (ANN).  This software is provided under
# the provisions of the Lesser GNU Public License (LGPL).  See the
# file ../ReadMe.txt for further information.
# 
# The University of Maryland (U.M.) and the authors make no
# representations about the suitability or fitness of this software for
# any purpose.  It is provided "as is" without express or implied
# warranty.
#----------------------------------------------------------------------
# History:
#	Revision 0.1  03/04/98
#		Initial release
#	Revision 1.0  04/01/05
#		Renamed files from .cc to .cpp for Microsoft Visual C++
#		Added kd_dump.cpp
#	Revision 1.1  05/03/05
#		Added kd_fix_rad_search.cpp and bd_fix_rad_search.cpp
#----------------------------------------------------------------------

#-----------------------------------------------------------------------------
# Some basic definitions:
#		BASEDIR		where include, src, lib, ... are
#		INCLIB		include directory
#		LIBLIB		library directory
#-----------------------------------------------------------------------------
BASEDIR	= ..
INCDIR	= $(BASEDIR)/include
LIBDIR	= $(BASEDIR)/lib

SOURCES = ANN.cpp brute.cpp kd_tree.cpp kd_util.cpp kd_split.cpp \
	kd_dump.cpp kd_search.cpp kd_pr_search.cpp kd_fix_rad_search.cpp \
	bd_tree.cpp bd_search.cpp bd_pr_search.cpp bd_fix_rad_search.cpp \
	perf.cpp

HEADERS = kd_tree.h kd_split.h kd_util.h kd_search.h \
	kd_pr_search.h kd_fix_rad_search.h perf.h pr_queue.h pr_queue_k.h

OBJECTS = $(SOURCES:.cpp=.o)

#-----------------------------------------------------------------------------
# Make the library
#-----------------------------------------------------------------------------

default:
	@echo "Specify a target configuration"

targets: $(LIBDIR)/$(ANNLIB)

$(LIBDIR)/$(ANNLIB): $(OBJECTS)
	$(MAKELIB) $(ANNLIB) $(OBJECTS)
	$(RANLIB) $(ANNLIB)
	mv $(ANNLIB) $(LIBDIR)

#-----------------------------------------------------------------------------
# Make object files
#-----------------------------------------------------------------------------

ANN.o: ANN.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) ANN.cpp

brute.o: brute.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) brute.cpp

kd_tree.o: kd_tree.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) kd_tree.cpp

kd_util.o: kd_util.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) kd_util.cpp

kd_split.o: kd_split.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) kd_split.cpp

kd_search.o: kd_search.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) kd_search.cpp

kd_pr_search.o: kd_pr_search.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) kd_pr_search.cpp

kd_fix_rad_search.o: kd_fix_rad_search.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) kd_fix_rad_search.cpp

kd_dump.o: kd_dump.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) kd_dump.cpp

bd_tree.o: bd_tree.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) bd_tree.cpp

bd_search.o: bd_search.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) bd_search.cpp

bd_pr_search.o: bd_pr_search.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) bd_pr_search.cpp

bd_fix_rad_search.o: bd_fix_rad_search.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) bd_fix_rad_search.cpp

perf.o: perf.cpp
	$(C++) -c -I$(INCDIR) $(CFLAGS) perf.cpp

#-----------------------------------------------------------------------------
# Configuration definitions
#-----------------------------------------------------------------------------

include ../Make-config

#-----------------------------------------------------------------------------
# Cleaning
#-----------------------------------------------------------------------------

clean:
	-rm -f *.o core

realclean: clean

=== debian/control ===
Source: ann
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Teemu Ikonen <tpikonen@gmail.com>,
Section: libs
Priority: optional
Build-Depends:
 autoconf,
 autoconf-archive,
 automake,
 debhelper-compat (= 13),
 libtool,
 python3,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/ann
Vcs-Git: https://salsa.debian.org/science-team/ann.git
Homepage: https://www.cs.umd.edu/~mount/ANN/

Package: libann-dev
Architecture: any
Section: libdevel
Depends:
 libann0 (= ${binary:Version}),
 ${misc:Depends},
Description: Approximate Nearest Neighbor Searching library (development files)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.
 .
 This package contains the header files for developing applications
 with the ANN library.

Package: libann0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Approximate Nearest Neighbor Searching library
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.

Package: ann-tools
Architecture: any
Section: math
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Approximate Nearest Neighbor Searching library (tools)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.
 .
 This package contains the ann2fig (display ANN output in fig format)
 and the ann_sample (a sample demonstration for ANN) programs.

Package: libann-cctbx-dev
Architecture: any
Section: libdevel
Depends:
 libann-cctbx0 (= ${binary:Version}),
 ${misc:Depends},
Description: Approximate Nearest Neighbor Searching library (cctbx development files)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.
 .
 This package contains the header files for developing applications
 with the ANN library cctbx variant.

Package: libann-cctbx0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Approximate Nearest Neighbor Searching library (cctbx variant)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008 Rafael Laboissiere <rafael@debian.org>

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export AUTOMAKE = automake --foreign --add-missing
SAVE_FILES = Makefile src/Makefile ann2fig/Makefile sample/Makefile test/Makefile

%:
	dh $@

override_dh_autoreconf:
	# Save upstream Makefiles
	for f in $(SAVE_FILES) ; do 					\
		if [ ! -f $$f-orig ] ; then mv $$f $$f-orig ; fi	\
	done
	debian/cctbx
	dh_autoreconf

override_dh_clean:
	# Restore upstream Makefiles
	for f in $(SAVE_FILES) ; do 				\
		if [ -f $$f-orig ] ; then mv $$f-orig $$f ; fi	\
	done
	dh_clean
	-rm ann-cctbx

override_dh_installman: debian/ann2fig.1 debian/ann_sample.1 debian/ann_test.1
	dh_installman

%.1: %.pod
	pod2man --center="User Commands" --release="ANN $(DEB_VERSION_UPSTREAM)" $< > $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	( cd test ;				\
	  ./ann_test < test1.in > /dev/null 	\
	  ./ann_test < test2.in > /dev/null )
endif
	dh_auto_test

override_dh_compress:
	dh_compress -X.pdf

=== debian/tests/control ===
Tests: build1 build2
Depends:
 build-essential,
 libann-dev,

=== debian/watch ===
version=3
opts=dversionmangle=s/\+doc$//						\
https://www.cs.umd.edu/~mount/ANN/ Files/[\d.]+/ann_([\d.]+)\.tar\.gz	\
	debian /bin/sh debian/get-orig-source.sh
